OGRE: Ogre::GpuProgramParameters_AutoConstantEntry Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::GpuProgramParameters_AutoConstantEntry Class Reference
Core » Materials

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| GpuProgramParameters_AutoConstantEntry (GpuProgramParameters::AutoConstantType theType, size_t theIndex, Real theData, uint16 theVariability, size_t theElemCount=4)
| GpuProgramParameters_AutoConstantEntry (GpuProgramParameters::AutoConstantType theType, size_t theIndex, size_t theData, uint16 theVariability, size_t theElemCount=4)

## Public Attributes
union {
size_t data
Real fData
}; |
| Additional information to go with the parameter. More...
size_t | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g. More...
GpuProgramParameters::AutoConstantType | paramType
| The type of parameter. More...
size_t | physicalIndex
| The target (physical) constant index. More...
uint16 | variability
| The variability of this parameter (see GpuParamVariability) More...

## Detailed Description

Structure recording the use of an automatic parameter.

## Constructor & Destructor Documentation

## ◆ GpuProgramParameters_AutoConstantEntry() [1/2]

Ogre::GpuProgramParameters_AutoConstantEntry::GpuProgramParameters_AutoConstantEntry | ( | GpuProgramParameters::AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = `4`
| ) |  |
| inline

## ◆ GpuProgramParameters_AutoConstantEntry() [2/2]

Ogre::GpuProgramParameters_AutoConstantEntry::GpuProgramParameters_AutoConstantEntry | ( | GpuProgramParameters::AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = `4`
| ) |  |
| inline

## Member Data Documentation

## ◆ @1

union { ... }

Additional information to go with the parameter.

## ◆ data

size_t Ogre::GpuProgramParameters_AutoConstantEntry::data

## ◆ elementCount

size_t Ogre::GpuProgramParameters_AutoConstantEntry::elementCount

The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.

GLSL) and bind an auto which is 4-element packed to it

## ◆ fData

Real Ogre::GpuProgramParameters_AutoConstantEntry::fData

## ◆ paramType

GpuProgramParameters::AutoConstantType Ogre::GpuProgramParameters_AutoConstantEntry::paramType

The type of parameter.

## ◆ physicalIndex

size_t Ogre::GpuProgramParameters_AutoConstantEntry::physicalIndex

The target (physical) constant index.

## ◆ variability

uint16 Ogre::GpuProgramParameters_AutoConstantEntry::variability

The variability of this parameter (see GpuParamVariability)

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h